
+   [入门须知](README.md)
+   [数据分析](docs/da/README.md)
    +   [01\. Python 工具](docs/da/001.md)
        +   [Python 简介](docs/da/002.md)
        +   [Ipython 解释器](docs/da/003.md)
        +   [Ipython notebook](docs/da/004.md)
        +   [使用 Anaconda](docs/da/005.md)
    +   [02\. Python 基础](docs/da/006.md)
        +   [Python 入门演示](docs/da/007.md)
        +   [Python 数据类型](docs/da/008.md)
        +   [数字](docs/da/009.md)
        +   [字符串](docs/da/010.md)
        +   [索引和分片](docs/da/011.md)
        +   [列表](docs/da/012.md)
        +   [可变和不可变类型](docs/da/013.md)
        +   [元组](docs/da/014.md)
        +   [列表与元组的速度比较](docs/da/015.md)
        +   [字典](docs/da/016.md)
        +   [集合](docs/da/017.md)
        +   [不可变集合](docs/da/018.md)
        +   [Python 赋值机制](docs/da/019.md)
        +   [判断语句](docs/da/020.md)
        +   [循环](docs/da/021.md)
        +   [列表推导式](docs/da/022.md)
        +   [函数](docs/da/023.md)
        +   [模块和包](docs/da/024.md)
        +   [异常](docs/da/025.md)
        +   [警告](docs/da/026.md)
        +   [文件读写](docs/da/027.md)
    +   [03\. Numpy](docs/da/028.md)
        +   [Numpy 简介](docs/da/029.md)
        +   [Matplotlib 基础](docs/da/030.md)
        +   [Numpy 数组及其索引](docs/da/031.md)
        +   [数组类型](docs/da/032.md)
        +   [数组方法](docs/da/033.md)
        +   [数组排序](docs/da/034.md)
        +   [数组形状](docs/da/035.md)
        +   [对角线](docs/da/036.md)
        +   [数组与字符串的转换](docs/da/037.md)
        +   [数组属性方法总结](docs/da/038.md)
        +   [生成数组的函数](docs/da/039.md)
        +   [矩阵](docs/da/040.md)
        +   [一般函数](docs/da/041.md)
        +   [向量化函数](docs/da/042.md)
        +   [二元运算](docs/da/043.md)
        +   [ufunc 对象](docs/da/044.md)
        +   [choose 函数实现条件筛选](docs/da/045.md)
        +   [数组广播机制](docs/da/046.md)
        +   [数组读写](docs/da/047.md)
        +   [结构化数组](docs/da/048.md)
        +   [记录数组](docs/da/049.md)
        +   [内存映射](docs/da/050.md)
        +   [从 Matlab 到 Numpy](docs/da/051.md)
    +   [04\. Scipy](docs/da/052.md)
        +   [SCIentific PYthon 简介](docs/da/053.md)
        +   [插值](docs/da/054.md)
        +   [概率统计方法](docs/da/055.md)
        +   [曲线拟合](docs/da/056.md)
        +   [最小化函数](docs/da/057.md)
        +   [积分](docs/da/058.md)
        +   [解微分方程](docs/da/059.md)
        +   [稀疏矩阵](docs/da/060.md)
        +   [线性代数](docs/da/061.md)
        +   [稀疏矩阵的线性代数](docs/da/062.md)
    +   [05\. Python 进阶](docs/da/063.md)
        +   [sys 模块简介](docs/da/064.md)
        +   [与操作系统进行交互：os 模块](docs/da/065.md)
        +   [CSV 文件和 csv 模块](docs/da/066.md)
        +   [正则表达式和 re 模块](docs/da/067.md)
        +   [datetime 模块](docs/da/068.md)
        +   [SQL 数据库](docs/da/069.md)
        +   [对象关系映射](docs/da/070.md)
        +   [函数进阶：参数传递，高阶函数，lambda 匿名函数，global 变量，递归](docs/da/071.md)
        +   [迭代器](docs/da/072.md)
        +   [生成器](docs/da/073.md)
        +   [with 语句和上下文管理器](docs/da/074.md)
        +   [修饰符](docs/da/075.md)
        +   [修饰符的使用](docs/da/076.md)
        +   [operator, functools, itertools, toolz, fn, funcy 模块](docs/da/077.md)
        +   [作用域](docs/da/078.md)
        +   [动态编译](docs/da/079.md)
    +   [06\. Matplotlib](docs/da/080.md)
        +   [Pyplot 教程](docs/da/081.md)
        +   [使用 style 来配置 pyplot 风格](docs/da/082.md)
        +   [处理文本（基础）](docs/da/083.md)
        +   [处理文本（数学表达式）](docs/da/084.md)
        +   [图像基础](docs/da/085.md)
        +   [注释](docs/da/086.md)
        +   [标签](docs/da/087.md)
        +   [figures, subplots, axes 和 ticks 对象](docs/da/088.md)
        +   [不要迷信默认设置](docs/da/089.md)
        +   [各种绘图实例](docs/da/090.md)
    +   [07\. 使用其他语言进行扩展](docs/da/091.md)
        +   [简介](docs/da/092.md)
        +   [Python 扩展模块](docs/da/093.md)
        +   [Cython：Cython 基础，将源代码转换成扩展模块](docs/da/094.md)
        +   [Cython：Cython 语法，调用其他C库](docs/da/095.md)
        +   [Cython：class 和 cdef class，使用 C++](docs/da/096.md)
        +   [Cython：Typed memoryviews](docs/da/097.md)
        +   [生成编译注释](docs/da/098.md)
        +   [ctypes](docs/da/099.md)
    +   [08\. 面向对象编程](docs/da/100.md)
        +   [简介](docs/da/101.md)
        +   [使用 OOP 对森林火灾建模](docs/da/102.md)
        +   [什么是对象？](docs/da/103.md)
        +   [定义 class](docs/da/104.md)
        +   [特殊方法](docs/da/105.md)
        +   [属性](docs/da/106.md)
        +   [森林火灾模拟](docs/da/107.md)
        +   [继承](docs/da/108.md)
        +   [super() 函数](docs/da/109.md)
        +   [重定义森林火灾模拟](docs/da/110.md)
        +   [接口](docs/da/111.md)
        +   [共有，私有和特殊方法和属性](docs/da/112.md)
        +   [多重继承](docs/da/113.md)
    +   [09\. Theano 基础](docs/da/114.md)
        +   [Theano 简介及其安装](docs/da/115.md)
        +   [Theano 基础](docs/da/116.md)
        +   [Theano 在 Windows 上的配置](docs/da/117.md)
        +   [Theano 符号图结构](docs/da/118.md)
        +   [Theano 配置和编译模式](docs/da/119.md)
        +   [Theano 条件语句](docs/da/120.md)
        +   [Theano 循环：scan（详解）](docs/da/121.md)
        +   [Theano 实例：线性回归](docs/da/122.md)
        +   [Theano 实例：Logistic 回归](docs/da/123.md)
        +   [Theano 实例：Softmax 回归](docs/da/124.md)
        +   [Theano 实例：人工神经网络](docs/da/125.md)
        +   [Theano 随机数流变量](docs/da/126.md)
        +   [Theano 实例：更复杂的网络](docs/da/127.md)
        +   [Theano 实例：卷积神经网络](docs/da/128.md)
        +   [Theano tensor 模块：基础](docs/da/129.md)
        +   [Theano tensor 模块：索引](docs/da/130.md)
        +   [Theano tensor 模块：操作符和逐元素操作](docs/da/131.md)
        +   [Theano tensor 模块：nnet 子模块](docs/da/132.md)
        +   [Theano tensor 模块：conv 子模块](docs/da/133.md)
    +   [10\. 有趣的第三方模块](docs/da/134.md)
        +   [使用 basemap 画地图](docs/da/135.md)
        +   [使用 cartopy 画地图](docs/da/136.md)
        +   [探索 NBA 数据](docs/da/137.md)
        +   [金庸的武侠世界](docs/da/138.md)
    +   [11\. 有用的工具](docs/da/139.md)
        +   [pprint 模块：打印 Python 对象](docs/da/140.md)
        +   [pickle, cPickle 模块：序列化 Python 对象](docs/da/141.md)
        +   [json 模块：处理 JSON 数据](docs/da/142.md)
        +   [glob 模块：文件模式匹配](docs/da/143.md)
        +   [shutil 模块：高级文件操作](docs/da/144.md)
        +   [gzip, zipfile, tarfile 模块：处理压缩文件](docs/da/145.md)
        +   [logging 模块：记录日志](docs/da/146.md)
        +   [string 模块：字符串处理](docs/da/147.md)
        +   [collections 模块：更多数据结构](docs/da/148.md)
        +   [requests 模块：HTTP for Human](docs/da/149.md)
    +   [12\. Pandas](docs/da/150.md)
        +   [十分钟上手 Pandas](docs/da/151.md)
        +   [一维数据结构：Series](docs/da/152.md)
        +   [二维数据结构：DataFrame](docs/da/153.md)
+   [线性代数](docs/linalg/README.md)
	+   [第一讲：方程组的几何解释](docs/linalg/chapter01.md)
	+   [第二讲：矩阵消元](docs/linalg/chapter02.md)
	+   [第三讲：乘法和逆矩阵](docs/linalg/chapter03.md)
	+   [第四讲：$A$ 的 $LU$ 分解](docs/linalg/chapter04.md)
	+   [第五讲：转换、置换、向量空间R](docs/linalg/chapter05.md)
	+   [第六讲：列空间和零空间](docs/linalg/chapter06.md)
	+   [第七讲：求解$Ax=0$，主变量，特解](docs/linalg/chapter07.md)
	+   [第八讲：求解$Ax=b$：可解性和解的结构](docs/linalg/chapter08.md)
	+   [第九讲：线性相关性、基、维数](docs/linalg/chapter09.md)
	+   [第十讲 四个基本子空间](docs/linalg/chapter10.md)
	+   [第十一讲：矩阵空间、秩1矩阵和小世界图](docs/linalg/chapter11.md)
	+   [第十二讲：图和网络](docs/linalg/chapter12.md)
	+   [第十三讲：复习一](docs/linalg/chapter13.md)
	+   [第十四讲：正交向量与子空间](docs/linalg/chapter14.md)
	+   [第十五讲：子空间投影](docs/linalg/chapter15.md)
	+   [第十六讲：投影矩阵和最小二乘](docs/linalg/chapter16.md)
	+   [第十七讲：正交矩阵和Gram-Schmidt正交化法](docs/linalg/chapter17.md)
	+   [第十八讲：行列式及其性质](docs/linalg/chapter18.md)
	+   [第十九讲：行列式公式和代数余子式](docs/linalg/chapter19.md)
	+   [第二十讲：克拉默法则、逆矩阵、体积](docs/linalg/chapter20.md)
	+   [第二十一讲：特征值和特征向量](docs/linalg/chapter21.md)
	+   [第二十二讲：对角化和$A$的幂](docs/linalg/chapter22.md)
	+   [第二十三讲：微分方程和$e^{At}$](docs/linalg/chapter23.md)
	+   [第二十四讲：马尔科夫矩阵、傅里叶级数](docs/linalg/chapter24.md)
	+   [第二十五讲：复习二](docs/linalg/chapter25.md)
	+   [第二十六讲：对称矩阵及正定性](docs/linalg/chapter26.md)
	+   [第二十七讲：复数矩阵和快速傅里叶变换](docs/linalg/chapter27.md)
	+   [第二十八讲：正定矩阵和最小值](docs/linalg/chapter28.md)
	+   [第二十九讲：相似矩阵和若尔当形](docs/linalg/chapter29.md)
	+   [第三十讲：奇异值分解](docs/linalg/chapter30.md)
	+   [第三十一讲：线性变换及对应矩阵](docs/linalg/chapter31.md)
	+   [第三十二讲：基变换和图像压缩](docs/linalg/chapter32.md)
	+   [第三十三讲：单元检测3复习](docs/linalg/chapter33.md)
	+   [第三十四讲：左右逆和伪逆](docs/linalg/chapter34.md)
	+   [第三十五讲：期末复习](docs/linalg/chapter35.md)
+   机器学习
    +   [第1章_基础知识](docs/ml/1.md)
    +   [第2章_K近邻算法](docs/ml/2.md)
    +   [第3章_决策树算法](docs/ml/3.md)
    +   [第4章_朴素贝叶斯](docs/ml/4.md)
    +   [第5章_逻辑回归](docs/ml/5.md)
    +   [第6章_支持向量机](docs/ml/6.md)
    +   [第7章_集成方法](docs/ml/7.md)
    +   [第8章_回归](docs/ml/8.md)
    +   [第9章_树回归](docs/ml/9.md)
    +   [第10章_KMeans聚类](docs/ml/10.md)
    +   [第11章_Apriori算法](docs/ml/11.md)
    +   [第12章_FP-growth算法](docs/ml/12.md)
    +   [第13章_PCA降维](docs/ml/13.md)
    +   [第14章_SVD简化数据](docs/ml/14.md)
    +   [第15章_大数据与MapReduce](docs/ml/15.md)
    +   [第16章_推荐系统](docs/ml/16.md)
    +   [为何录制教学版视频](docs/why-to-record-study-ml-video.md)
    +   [2017-04-08_第一期的总结](docs/report/2017-04-08.md)
+   [PyTorch](docs/pytorch/README.md)
    +   [PyTorch 简介](docs/pytorch/01.md)
        +   [1.1 – Why PyTorch?](docs/pytorch/02.md)
        +   [1.2 – 安装 PyTorch](docs/pytorch/03.md)
    +   [PyTorch 神经网络基础](docs/pytorch/04.md)
        +   [2.1 – Torch vs Numpy](docs/pytorch/05.md)
        +   [2.2 – 变量 (Variable)](docs/pytorch/06.md)
        +   [2.3 – 激励函数 (Activation)](docs/pytorch/07.md)
    +   [建造第一个神经网络](docs/pytorch/08.md)
        +   [3.1 – 关系拟合 (回归 Regression)](docs/pytorch/09.md)
        +   [3.2 – 区分类型 (分类 Classification)](docs/pytorch/10.md)
        +   [3.3 – 快速搭建回归神经网络](docs/pytorch/11.md)
        +   [3.4 – 保存和恢复模型](docs/pytorch/12.md)
        +   [3.5 – 数据读取 (Data Loader)](docs/pytorch/13.md)
        +   [3.6 – 优化器 (Optimizer)](docs/pytorch/14.md)
    +   [高级神经网络结构](docs/pytorch/15.md)
        +   [4.1 – CNN 卷积神经网络](docs/pytorch/16.md)
        +   [4.2 – RNN 循环神经网络 (分类 Classification)](docs/pytorch/17.md)
        +   [4.3 – RNN 循环神经网络 (回归 Regression)](docs/pytorch/18.md)
        +   [4.4 – AutoEncoder (自编码/非监督学习)](docs/pytorch/19.md)
        +   [4.5 – DQN 强化学习 (Reinforcement Learning)](docs/pytorch/20.md)
        +   [4.6 – GAN (Generative Adversarial Nets 生成对抗网络)](docs/pytorch/21.md)
    +   [高阶内容](docs/pytorch/22.md)
        +   [5.1 – 为什么 Torch 是动态的](docs/pytorch/23.md)
        +   [5.2 – GPU 加速运算](docs/pytorch/24.md)
        +   [5.3 – Dropout 防止过拟合](docs/pytorch/25.md)
        +   [5.4 – Batch Normalization 批标准化](docs/pytorch/26.md)
+   [自然语言处理](docs/nlp/README.md)
	+   [前言](docs/nlp/0.md)
	+   [1 语言处理与 Python](docs/nlp/1.md)
	+   [2 获得文本语料和词汇资源](docs/nlp/2.md)
	+   [3 处理原始文本](docs/nlp/3.md)
	+   [4 编写结构化程序](docs/nlp/4.md)
	+   [5 分类和标注词汇](docs/nlp/5.md)
	+   [6 学习分类文本](docs/nlp/6.md)
	+   [7 从文本提取信息](docs/nlp/7.md)
	+   [8 分析句子结构](docs/nlp/8.md)
	+   [9 构建基于特征的语法](docs/nlp/9.md)
	+   [10 分析句子的意思](docs/nlp/10.md)
	+   [11 语言学数据管理](docs/nlp/11.md)
	+   [后记：语言的挑战](docs/nlp/12.md)
	+   [索引](docs/nlp/14.md)
+   [TensorFlow 2.x](docs/tf2/README.md)
	+   [一、使用 Keras 搭建人工神经网络](docs/tf2/10.md)
	+   [二、训练深度神经网络](docs/tf2/11.md)
	+   [三、使用 TensorFlow 自定义模型并训练](docs/tf2/12.md)
	+   [四、使用 TensorFlow 加载和预处理数据](docs/tf2/13.md)
	+   [五、使用卷积神经网络实现深度计算机视觉](docs/tf2/14.md)
	+   [六、使用 RNN 和 CNN 处理序列](docs/tf2/15.md)
	+   [七、使用 RNN 和注意力机制进行自然语言处理](docs/tf2/16.md)
	+   [八、使用自编码器和 GAN 做表征学习和生成式学习](docs/tf2/17.md)
	+   [九、强化学习](docs/tf2/18.md)
	+   [十、规模化训练和部署 TensorFlow 模型](docs/tf2/19.md)
